Bug 148804

Summary: Workstation install missing -devel packages
Product: [Fedora] Fedora Reporter: Shaun McCance <shaunm>
Component: compsAssignee: Elliot Lee <sopwith>
Status: CLOSED RAWHIDE QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: rawhideCC: wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-03-22 04:28:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Shaun McCance 2005-02-15 19:00:03 UTC
Description of problem:
I selected the Workstation install on FC3, expecting to get all the tools and
header files necessary for Gnome development.  But so far, I've had to install
the following -devel packages manually:

gtkhtml2-devel
gtkhtml3-devel
gtksourceview-devel
hal-devel
libgnomeprint22-devel
libgnomeprintui22-devel
libmusicbrainz-devel
mozilla-devel
mozilla-nspr-devel
mozilla-nss-devel

It would be nice if these -devel packages were included in the Workstation install.

Comment 1 Warren Togami 2005-02-16 03:05:56 UTC
I'm guessing the answer should be WONTFIX, but will let the release manager of
Fedora decide.

Comment 2 Elliot Lee 2005-02-16 04:29:12 UTC
Hi,

These may need to be added to the comps file. I'll try to look into it next
week. Thanks for letting us know!

Comment 3 Elliot Lee 2005-03-22 04:28:24 UTC
A few of these make sense (mozilla-devel, libgnomeprint*, hal-devel). The others
are libraries that are not suggested for general use, so I don't want to put
them in defaults and make people think that they are recommended.

Changes made as appropriate. Thanks!